[$] Avoiding page reference-count overflows

Post Syndicated from corbet original https://lwn.net/Articles/786044/rss

The 5.1-rc5 announcement mentioned
changes all over” and highlighted a number of the areas that
had been touched. One thing that was not mentioned there was the
addition of four patches fixing a security-related issue in the core
memory-management subsystem. The vulnerability is sufficiently difficult
to exploit that almost nobody should feel the need to rush out a kernel
update, but it is still interesting to look at as a demonstration of how
things can go wrong.